#ifndef INC_CONTROLS_H
#define INC_CONTROLS_H


typedef struct JOY_DESCRIPTOR JOY_DESCRIPTOR;

struct JOY_DESCRIPTOR
{
	unsigned char joystick; /* 255 = not set */
	unsigned char stick; /* 255 = axis represents button */
	unsigned char axis; /* +128 = inverted / negative direction */
};


typedef struct USER_KEYS USER_KEYS;

#define UK_DEVICE_KEYBOARD 0
#define UK_DEVICE_JOYSTICK 1

struct USER_KEYS
{
	unsigned char device;
	unsigned char left, right, accel, land, fire;
	JOY_DESCRIPTOR jleft;
	JOY_DESCRIPTOR jright;
	JOY_DESCRIPTOR jaccel;
	JOY_DESCRIPTOR jland;
	JOY_DESCRIPTOR jfire;
};


typedef struct USER_KEYS_HELD USER_KEYS_HELD;

struct USER_KEYS_HELD
{
	unsigned char left, right, accel, land, fire;
};


#endif /* INC_CONTROLS_H */
